DisplayFormManager (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.osf.io

## Class DisplayFormManager

- java.lang.Object
- - hlt.osf.io.DisplayFormManager

-     public class DisplayFormManager
      extends java.lang.Object

  This class defines methods that format various OSF constructs to enable them to be legibly displayed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DisplayFormManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DisplayFormManager` | `clearTags()`
    `java.lang.String` | `displayBottomForm()`
    `java.lang.String` | `displaySortForm(Sort sort)`
    `java.lang.String` | `displaySortsForm(ArrayList sorts)` This is the display form of disjunctive sorts which are represented as ArrayLists.
    `java.lang.String` | `displaySortsForm(BitCode sorts, Taxonomy taxonomy)` This is the display form of disjunctive sorts which are represented as a BitCode.
    `java.lang.String` | `displaySortsForm(Sort[] sorts)` This is the display form of an array of sorts.
    `java.lang.String` | `displayTopForm()`
    `java.lang.String` | `quotedDisplayForm(double x)`
    `java.lang.String` | `unquotedDisplayForm(double x)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DisplayFormManager

          public DisplayFormManager()

  - ### Method Detail

    - #### displayBottomForm

          public java.lang.String displayBottomForm()

    - #### displayTopForm

          public java.lang.String displayTopForm()

    - #### displaySortForm

          public final java.lang.String displaySortForm(Sort sort)

    - #### displaySortsForm

          public final java.lang.String displaySortsForm(Sort[] sorts)

      This is the display form of an array of sorts.

    - #### displaySortsForm

          public final java.lang.String displaySortsForm(ArrayList sorts)

      This is the display form of disjunctive sorts which are represented as ArrayLists.

    - #### displaySortsForm

          public final java.lang.String displaySortsForm(BitCode sorts,
                                          Taxonomy taxonomy)

      This is the display form of disjunctive sorts which are represented as a BitCode.

    - #### quotedDisplayForm

          public java.lang.String quotedDisplayForm(double x)

    - #### unquotedDisplayForm

          public java.lang.String unquotedDisplayForm(double x)

    - #### clearTags

          public DisplayFormManager clearTags()